get-kakao-bizmessage-alimtalk-template
curl --request GET \
--url https://api.notifly.tech/v1/projects/{projectId}/messages/kakao-alimtalk/templates/{templateCode} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.notifly.tech/v1/projects/{projectId}/messages/kakao-alimtalk/templates/{templateCode}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifly.tech/v1/projects/{projectId}/messages/kakao-alimtalk/templates/{templateCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/v1/projects/{projectId}/messages/kakao-alimtalk/templates/{templateCode}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/v1/projects/{projectId}/messages/kakao-alimtalk/templates/{templateCode}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.notifly.tech/v1/projects/{projectId}/messages/kakao-alimtalk/templates/{templateCode}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/v1/projects/{projectId}/messages/kakao-alimtalk/templates/{templateCode}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"sender_channel_id": "<string>",
"template_code": "<string>",
"template_name": "<string>",
"template_message_type": "<string>",
"template_emphasize_type": "<string>",
"status": "registered",
"template": {}
},
"error": "<unknown>"
}{
"data": null,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid Authorization Token"
}
}{
"data": null,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid Authorization Token"
}
}{
"data": null,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid Authorization Token"
}
}{
"data": null,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid Authorization Token"
}
}카카오 알림톡 템플릿
알림톡 템플릿 상세 조회
카카오톡 발송 플랫폼이 Notifly인 채널의 알림톡 템플릿 한 건을 본문과 함께 조회합니다. #은 치환 전 원문으로 반환합니다.
GET
/
v1
/
projects
/
{projectId}
/
messages
/
kakao-alimtalk
/
templates
/
{templateCode}
get-kakao-bizmessage-alimtalk-template
curl --request GET \
--url https://api.notifly.tech/v1/projects/{projectId}/messages/kakao-alimtalk/templates/{templateCode} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.notifly.tech/v1/projects/{projectId}/messages/kakao-alimtalk/templates/{templateCode}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifly.tech/v1/projects/{projectId}/messages/kakao-alimtalk/templates/{templateCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/v1/projects/{projectId}/messages/kakao-alimtalk/templates/{templateCode}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/v1/projects/{projectId}/messages/kakao-alimtalk/templates/{templateCode}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.notifly.tech/v1/projects/{projectId}/messages/kakao-alimtalk/templates/{templateCode}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/v1/projects/{projectId}/messages/kakao-alimtalk/templates/{templateCode}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"sender_channel_id": "<string>",
"template_code": "<string>",
"template_name": "<string>",
"template_message_type": "<string>",
"template_emphasize_type": "<string>",
"status": "registered",
"template": {}
},
"error": "<unknown>"
}{
"data": null,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid Authorization Token"
}
}{
"data": null,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid Authorization Token"
}
}{
"data": null,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid Authorization Token"
}
}{
"data": null,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid Authorization Token"
}
}